/*!
 * idiot-vue-slides v1.0.0
 * (c) Tun Lin Phyo
 * Released under the ISC License.
 */
'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var timers = require('timers');
var __vue_normalize__ = _interopDefault(require('vue-runtime-helpers/dist/normalize-component.js'));
var __vue_create_injector__ = _interopDefault(require('vue-runtime-helpers/dist/inject-style/browser.js'));

//
var script = {
  name: "IdiotSlides",
  props: ["slides", "time"],
  data: function data() {
    return {
      activeIndex: 0,
      interval: null
    };
  },
  methods: {
    isAcitve: function isAcitve(index) {
      return this.activeIndex === index;
    },
    onClick: function onClick(index) {
      this.stopInterval();
      this.activeIndex = index;
      this.setPager();
      this.startInterval();
    },
    startInterval: function startInterval() {
      var _this = this;

      this.interval = timers.setInterval(function () {
        if (_this.activeIndex >= _this.slides.length - 1) _this.activeIndex = 0;else _this.activeIndex += 1;

        _this.setPager();
      }, this.itme || 5000);
    },
    stopInterval: function stopInterval() {
      timers.clearInterval(this.interval);
    },
    setPager: function setPager() {
      var bar = this.$el.querySelector(".activebar");
      bar.style.left = "".concat(25 * this.activeIndex, "%");
    }
  },
  beforeDestroy: function beforeDestroy() {
    this.stopInterval();
  },
  created: function created() {
    this.startInterval();
  }
};

/* script */
var __vue_script__ = script;
/* template */

var __vue_render__ = function __vue_render__() {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c('div', {
    staticClass: "idiot-slides"
  }, [_c('ul', {
    staticClass: "slides-container"
  }, _vm._l(_vm.slides, function (item, index) {
    return _c('li', {
      key: index,
      staticClass: "slide",
      "class": {
        'slide-active': _vm.isAcitve(index)
      },
      style: {
        'background-image': "url(" + item.img + ")"
      }
    }, [_c('div', {
      staticClass: "inner-container"
    }, [_c('h1', [_c('span', [_vm._v(_vm._s(item.header))]), _vm._v("\n                    " + _vm._s(item.subHeader) + "\n                ")]), _vm._v(" "), _c('p', [_vm._v(_vm._s(item.text))]), _vm._v(" "), item.link ? _c('router-link', {
      staticClass: "btn-more light",
      attrs: {
        "to": item.link
      }
    }, [_vm._v("read more")]) : _vm._e()], 1)]);
  }), 0), _vm._v(" "), _c('ul', {
    staticClass: "pagination"
  }, [_vm._l(_vm.slides, function (item, index) {
    return _c('li', {
      key: index,
      staticClass: "pager",
      "class": {
        active: index === _vm.activeIndex
      },
      on: {
        "click": function click($event) {
          return _vm.onClick(index);
        }
      }
    });
  }), _vm._v(" "), _c('div', {
    staticClass: "activebar"
  })], 2)]);
};

var __vue_staticRenderFns__ = [];
/* style */

var __vue_inject_styles__ = function __vue_inject_styles__(inject) {
  if (!inject) return;
  inject("data-v-73d52293_0", {
    source: ".idiot-slides[data-v-73d52293]{width:100%;height:560px;max-height:100vh;position:relative;--duration:0.7s}.slides-container[data-v-73d52293]{width:100%;height:100%;margin:0;padding:0;list-style:none;display:block;position:relative;overflow:hidden;display:flex;justify-content:center;align-items:center}.slide[data-v-73d52293]{position:absolute;top:0;left:0;width:100%;height:100%;display:flex;justify-content:center;align-items:center;background-repeat:no-repeat;background-position:center;background-size:cover;opacity:1;will-change:transform;z-index:2;transform:translate(-100%,0);transition:all var(--duration) var(--custom-ease);display:flex;justify-content:center;align-items:center}.slide[data-v-73d52293]::before{content:\"\";display:block;position:absolute;z-index:0;top:0;bottom:0;left:0;right:0;background-color:rgba(10,10,10,.4)}.slide.slide-active[data-v-73d52293]{z-index:1;transform:translate(0,0)}.inner-container[data-v-73d52293]{width:calc(100% - 30px);max-width:var(--max-width);transform:translate(0,40px)}.inner-container h1[data-v-73d52293]{text-transform:uppercase;font-weight:900;font-size:40px;color:#fff;text-align:left;margin:0;padding:0;line-height:1.1em;text-shadow:1px 1px 2px var(--text-color)}.inner-container h1 span[data-v-73d52293]{font-size:1.5em;display:block}.inner-container p[data-v-73d52293]{margin:0;padding:0;color:#fff;font-style:italic;text-shadow:1px 1px 1px var(--text-color)}.inner-container .btn-more[data-v-73d52293]{margin:20px auto 0;text-shadow:1px 1px 1px var(--text-color);box-shadow:1px 1px 2px var(--text-color),inset 1px 1px 2px var(--text-color);transition:text-shadow .3s ease,box-shadow .3s ease}.inner-container .btn-more[data-v-73d52293]:hover{text-shadow:4px 4px 2px var(--text-color);box-shadow:2px 2px 1px var(--text-color),inset 2px 2px 1px var(--text-color)}.pagination[data-v-73d52293]{position:absolute;bottom:0;left:50%;z-index:9;width:80%;max-width:400px;height:50px;transform:translate(-50%);margin:0;padding:0;list-style:none;display:flex;justify-content:center;align-items:center}.pager[data-v-73d52293]{width:25%;height:3px;cursor:pointer;transition:height var(--duration) ease;position:relative}.pager[data-v-73d52293]:first-child{background-color:#c0392b}.pager[data-v-73d52293]:nth-child(2){background-color:#f39c12}.pager[data-v-73d52293]:nth-child(3){background-color:#27ae60}.pager[data-v-73d52293]:nth-child(4){background-color:#2980b9}.pager[data-v-73d52293]::before{content:\"\";position:absolute;top:50%;display:block;width:100%;height:20px;transform:translate(0,-50%)}.pager.active[data-v-73d52293]{pointer-events:none}.activebar[data-v-73d52293]{position:absolute;top:calc(50% - 2px);left:0;width:25%;height:5px;background-color:transparent;border:1px solid #fff;transition:left var(--duration) var(--custom-ease)}@media (min-width:992px){.slides[data-v-73d52293]{height:660px}.inner-container h1[data-v-73d52293]{font-size:80px}}",
    map: undefined,
    media: undefined
  });
};
/* scoped */


var __vue_scope_id__ = "data-v-73d52293";
/* module identifier */

var __vue_module_identifier__ = undefined;
/* functional template */

var __vue_is_functional_template__ = false;
/* style inject SSR */

var IdiotSlides = __vue_normalize__({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, __vue_create_injector__, undefined);

var index = {
  install: function install(Vue, options) {
    Vue.component("IdiotSlides", IdiotSlides);
  }
};

module.exports = index;
